package com.diagbot.dto;

import lombok.Data;

import java.util.List;

/**
 * @description: 辅检开单合理性图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class PacsBillNeoDTO {
    // 禁忌性别
    private String gender;

    // 年龄最小值
    private Integer minage;

    // 年龄最大值
    private Integer maxage;

    // 临床表现
    private List<String> clinicfindings;

    // 服用药品
    private List<String> prescribe;

    // 禁忌过敏药品
    private List<String> allergmeds;

    // 禁忌手术
    private List<String> operations;

    // 禁忌操作
    private List<String> procedures;

    // 禁忌实验室检查
    private List<String> lis;

    // 禁忌疾病
    private List<String> disease;

    // 禁用人群
    private List<String> group;

}
