package com.diagbot.entity.node;

import lombok.Data;
import com.diagbot.entity.node.base.BaseNode;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.io.Serializable;
import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = true)
@NodeEntity(label = "临床表现")
public class ClinicalFinding extends BaseNode  {

    @Relationship(type="药品通用名禁忌临床表现", direction = Relationship.INCOMING)
    private Set<Medicine> medicines;


}
